This page was not yet optimized for use on mobile devices.
Security Builder® FIPS Module
Certificate details
| Certificate ID | #4267 |
|---|---|
| Status | historical |
| Historical reason | Moved to historical list due to sunsetting |
| Validation dates | 18.07.2022 |
| Standard | FIPS 140-2 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode |
| Exceptions |
|
| Description | SB FIPS Module is a cryptographic toolkit for C language users, providing services of various cryptographic algorithms such as hash algorithms, encryption schemes, message authentication, and public key cryptography. |
| Tested configurations |
|
| Vendor | BlackBerry Limited http://blackberry.certicom.com/ |
| Lab | Lightship Security, Inc. |
| Algorithms | |
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, DES, Triple-DES, HMAC, HMAC-SHA-224, HMAC-SHA-256, HMAC-SHA-384, HMAC-SHA-512, CMACAsymmetric Algorithms
ECDSA, ECIES, ECC, DSAHash functions
SHA-1, SHA-224, SHA-256, SHA-384, SHA-512, SHA3-224, SHA3-256, SHA3-384, SHA3-512, SHAKE128, SHAKE256, MD4, MD5Schemes
KEMProtocols
SSLRandomness
DRBG, RNGElliptic Curves
P-224, P-256, P-384, P-521, K-233, K-283, K-409, K-571Block cipher modes
ECB, CBC, CTR, GCM, CCMVendor
NXP, QualcommSecurity level
Level 1Side-channel analysis
Timing Attack, Timing AttacksStandards
FIPS 140-2, FIPS PUB 140-2, FIPS 197, FIPS 180-4, FIPS 202, FIPS 198-1, FIPS 186-4, NIST SP 800-38B, NIST SP 800-38C, NIST SP 800-38D, NIST SP 800-38E, NIST SP 800-38F, NIST SP 800-90A, NIST SP 800-56A, NIST SP 800-56B, SP 800-133, NIST SP 800-135, SP 800-90B, SP 800-56A, SP 800-56B, SP 800-90A, PKCS1, PKCS #1, RFC 2268, RFC 1321, RFC 1320, RFC 1115, RFC 2104, RFC 3566Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 4267,
"dgst": "d39e33ac6a35ca57",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"#A1303",
"KTS-RSA#A1303",
"AES#A1303",
"KDA#A1303",
"KAS-SSC#A1303",
"DSA#A1303",
"RSA#A1303",
"DRBG#A1303",
"ECDSA#A1303",
"SHA-3#A1303",
"SHS#A1303",
"CVL#A1303",
"KTS#A1303",
"#A1302",
"Triple-DES#A1303",
"SHA-3#A1302",
"HMAC#A1303"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"-"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 40,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 2
},
"ECDSA": {
"ECDSA": 11
},
"ECIES": {
"ECIES": 1
}
},
"FF": {
"DSA": {
"DSA": 10
}
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 7
},
"CCM": {
"CCM": 1
},
"CTR": {
"CTR": 3
},
"ECB": {
"ECB": 7
},
"GCM": {
"GCM": 1
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {
"TLS": {
"SSL": {
"SSL": 1
}
}
},
"crypto_scheme": {
"KEM": {
"KEM": 1
}
},
"device_model": {},
"ecc_curve": {
"NIST": {
"K-233": 1,
"K-283": 1,
"K-409": 1,
"K-571": 1,
"P-224": 2,
"P-256": 2,
"P-384": 2,
"P-521": 2
}
},
"eval_facility": {},
"fips_cert_id": {
"Cert": {
"#1": 3
}
},
"fips_certlike": {
"Certlike": {
"HMAC SHA-1": 1,
"HMAC SHA-224": 1,
"HMAC SHA-256": 2,
"HMAC SHA-384": 1,
"HMAC SHA-512": 1,
"HMAC SHA-512/224": 1,
"HMAC SHA-512/256": 1,
"HMAC-SHA-1": 2,
"HMAC-SHA-224": 2,
"HMAC-SHA-256": 2,
"HMAC-SHA-384": 2,
"HMAC-SHA-512": 2,
"HMAC-SHA-512/224": 2,
"HMAC-SHA-512/256": 2,
"PKCS #1": 6,
"PKCS1": 3,
"RSA 11": 1,
"RSA PKCS1": 3,
"SHA-1": 2,
"SHA-224": 2,
"SHA-256": 6,
"SHA-384": 2,
"SHA-512": 2,
"SHA3-224": 2,
"SHA3-256": 2,
"SHA3-384": 2,
"SHA3-512": 2
}
},
"fips_security_level": {
"Level": {
"Level 1": 4
}
},
"hash_function": {
"MD": {
"MD4": {
"MD4": 1
},
"MD5": {
"MD5": 1
}
},
"SHA": {
"SHA1": {
"SHA-1": 2
},
"SHA2": {
"SHA-224": 2,
"SHA-256": 6,
"SHA-384": 2,
"SHA-512": 2
},
"SHA3": {
"SHA3-224": 2,
"SHA3-256": 2,
"SHA3-384": 2,
"SHA3-512": 2
}
},
"SHAKE": {
"SHAKE128": 1,
"SHAKE256": 1
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 21
},
"RNG": {
"RNG": 9
}
},
"side_channel_analysis": {
"SCA": {
"Timing Attack": 2,
"Timing Attacks": 1
}
},
"standard_id": {
"FIPS": {
"FIPS 140-2": 14,
"FIPS 180-4": 7,
"FIPS 186-4": 7,
"FIPS 197": 1,
"FIPS 198-1": 11,
"FIPS 202": 6,
"FIPS PUB 140-2": 6
},
"NIST": {
"NIST SP 800-135": 1,
"NIST SP 800-38B": 1,
"NIST SP 800-38C": 1,
"NIST SP 800-38D": 1,
"NIST SP 800-38E": 1,
"NIST SP 800-38F": 1,
"NIST SP 800-56A": 5,
"NIST SP 800-56B": 3,
"NIST SP 800-90A": 3,
"SP 800-133": 1,
"SP 800-56A": 1,
"SP 800-56B": 1,
"SP 800-90A": 4,
"SP 800-90B": 1
},
"PKCS": {
"PKCS #1": 3,
"PKCS1": 3
},
"RFC": {
"RFC 1115": 1,
"RFC 1320": 1,
"RFC 1321": 1,
"RFC 2104": 1,
"RFC 2268": 1,
"RFC 3566": 1
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 17
}
},
"DES": {
"3DES": {
"Triple-DES": 16
},
"DES": {
"DES": 1
}
},
"constructions": {
"MAC": {
"CMAC": 1,
"HMAC": 24,
"HMAC-SHA-224": 1,
"HMAC-SHA-256": 1,
"HMAC-SHA-384": 1,
"HMAC-SHA-512": 1
}
}
},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {
"NXP": {
"NXP": 1
},
"Qualcomm": {
"Qualcomm": 2
}
},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"KTS-RSA#A1303",
"AES#A1303",
"KDA#A1303",
"KAS-SSC#A1303",
"DSA#A1303",
"RSA#A1303",
"DRBG#A1303",
"ECDSA#A1303",
"SHA-3#A1303",
"SHS#A1303",
"CVL#A1303",
"KTS#A1303",
"Triple-DES#A1303",
"SHA-3#A1302",
"HMAC#A1303"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#A1303",
"#A1302"
]
},
"policy_metadata": {
"/Author": "user",
"/CreationDate": "D:20220712144431+00\u002700\u0027",
"/Creator": "Microsoft Word",
"/ModDate": "D:20220712144431+00\u002700\u0027",
"pdf_file_size_bytes": 580591,
"pdf_hyperlinks": {
"_type": "Set",
"elements": []
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 28
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "5f56e3419db38ba3f550a229e39b69679d500e90e2a79f9942e4e424fe8e0ff6",
"source_hash": "1eb2d515285d9e73d7aae35fa69cdbbc3eeaa6f5075f7e3cf26819ff63e99840",
"txt_hash": "f368e04cc55920d6bf8e28ae86df9aa4e30c4d00310fa36a5b25d5f920909fb2"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/July 2022_010822_0659_signed.pdf",
"date_sunset": null,
"description": "SB FIPS Module is a cryptographic toolkit for C language users, providing services of various cryptographic algorithms such as hash algorithms, encryption schemes, message authentication, and public key cryptography.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Physical Security: N/A"
],
"fw_versions": null,
"historical_reason": "Moved to historical list due to sunsetting",
"hw_versions": null,
"level": 1,
"mentioned_certs": {},
"module_name": "Security Builder\u00ae FIPS Module",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": "6.5.0",
"tested_conf": [
"Android 9 running on a Google Pixel 3 smart phone with a Qualcomm Snapdragon 845 64-bit ARMv8 processor with PAA",
"Android 9 running on a Google Pixel 3 smart phone with a Qualcomm Snapdragon 845 64-bit ARMv8 processor with PAA (32-bit ARMv7 instructions)",
"Android 9 running on a Google Pixel 3 smart phone with a Qualcomm Snapdragon 845 64-bit ARMv8 processor without PAA",
"Android 9 running on a Google Pixel 3 smart phone with a Qualcomm Snapdragon 845 64-bit ARMv8 processor without PAA (32-bit ARMv7 instructions)",
"CentOS 7.0 on VMware ESX 6 running on a Lenovo SR630 with an Intel Xeon Silver 64-bit x86 processor with PAA",
"CentOS 7.0 on VMware ESX 6 running on a Lenovo SR630 with an Intel Xeon Silver 64-bit x86 processor without PAA",
"iOS 12.4.7 running on an Apple iPad mini 2 with an Apple A7 64-bit ARMv8 processor with PAA",
"iOS 12.4.7 running on an Apple iPad mini 2 with an Apple A7 64-bit ARMv8 processor without PAA",
"Mac OS 10.15 running on an Apple Mac Book Pro late 2012 laptop computer with an Intel Core i7 64-bit x86 processor with PAA",
"Mac OS 10.15 running on an Apple Mac Book Pro late 2012 laptop computer with an Intel Core i7 64-bit x86 processor without PAA",
"QNX SDP 7.1 running on a Supermicro A2SDi-4C-HLN4F-O server motherboard with an Intel Atom 64-bit x86 processor with PAA",
"QNX SDP 7.1 running on a Supermicro A2SDi-4C-HLN4F-O server motherboard with an Intel Atom 64-bit x86 processor without PAA (single-user mode)",
"QNX SDP 7.1 running on a Xilinx Zynq UltraScale+ MPSoC ZCU102 Eval. Kit with a Cortex\u0002A53 64-bit ARMv8 processor with PAA",
"QNX SDP 7.1 running on a Xilinx Zynq UltraScale+ MPSoC ZCU102 Eval. Kit with a Cortex\u0002A53 64-bit ARMv8 processor without PAA",
"QNX SDP 7.1 running on an NXP i.MX8 QuadXPlus Multisensory Enablement Kit with a Cortex-A35 ARMv8 processor with PAA",
"QNX SDP 7.1 running on an NXP i.MX8 QuadXPlus Multisensory Enablement Kit with a Cortex-A35 ARMv8 processor without PAA",
"Ubuntu Linux 18.04 on VMware ESX 6 running on a Lenovo SR630 with an Intel Xeon Silver 64-bit x86 processor with PAA",
"Ubuntu Linux 18.04 on VMware ESX 6 running on a Lenovo SR630 with an Intel Xeon Silver 64-bit x86 processor without PAA",
"Windows 10 Pro on a Lenovo P15 laptop computer with an Intel Core i7 64-bit x86 processor with PAA",
"Windows 10 Pro on a Lenovo P15 laptop computer with an Intel Core i7 64-bit x86 processor without PAA",
"Windows Server 2019 on VMware ESX 6 running on a Lenovo SR630 with an Intel Xeon Silver 64-bit x86 processor with PAA",
"Windows Server 2019 on VMware ESX 6 running on a Lenovo SR630 with an Intel Xeon Silver 64-bit x86 processor without PAA"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2022-07-18",
"lab": "Lightship Security, Inc.",
"validation_type": "Initial"
}
],
"vendor": "BlackBerry Limited",
"vendor_url": "http://blackberry.certicom.com/"
}
}